{
  "getAllPSAppDEACModes" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value",
      "getPSAppDEField" : {
        "name" : "SUBTEST2ID",
        "codeName" : "SubTest2Id"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "SUBTEST2NAME",
        "codeName" : "SubTest2Name"
      }
    } ],
    "pagingSize" : 50,
    "getTextPSAppDEField" : {
      "name" : "SUBTEST2NAME",
      "codeName" : "SubTest2Name"
    },
    "getValuePSAppDEField" : {
      "name" : "SUBTEST2ID",
      "codeName" : "SubTest2Id"
    },
    "defaultMode" : true,
    "enablePagingBar" : false
  } ],
  "getAllPSAppDEActions" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "SUBTEST2ID",
        "codeName" : "SubTest2Id"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "requestField" : "SUBTEST2ID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "SUBTEST2ID",
        "codeName" : "SubTest2Id"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "requestField" : "SUBTEST2ID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  } ],
  "getAllPSAppDEDataSets" : [ {
    "codeName" : "FetchDataSet2",
    "dataSetName" : "RootNode",
    "dataSetTag" : "DataSet2",
    "methodType" : "FETCH",
    "name" : "FetchDataSet2",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2FilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "DataSet2"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDataSet2"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdataset2",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchDefault",
    "dataSetName" : "DEFAULT",
    "dataSetTag" : "Default",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2FilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchNoMajorSet",
    "dataSetName" : "NoMajorSet",
    "dataSetTag" : "NoMajorSet",
    "methodType" : "FETCH",
    "name" : "FetchNoMajorSet",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2FilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "NoMajorSet"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchNoMajorSet"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchnomajorset",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchNoParent",
    "dataSetName" : "NoParent",
    "dataSetTag" : "NoParent",
    "methodType" : "FETCH",
    "name" : "FetchNoParent",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2FilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "NoParent"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchNoParent"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchnoparent",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEFields" : [ {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[ORDER][排序值]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[ORDER][排序值]",
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[ORDER][排序值]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[ORDER][排序值]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "Order",
    "logicName" : "排序值",
    "name" : "ORDER",
    "stdDataType" : 9
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[CONDTYPE][条件类型]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "DROPDOWNLIST",
        "name" : "[CONDTYPE][条件类型]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "needCodeListConfig" : true
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[CONDTYPE][条件类型]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBDROPDOWNLIST",
        "name" : "[CONDTYPE][条件类型]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true,
        "needCodeListConfig" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "CondType",
    "logicName" : "条件类型",
    "name" : "CONDTYPE",
    "stdDataType" : 25,
    "stringLength" : 60,
    "dataTypeField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[SUBTEST2ID][子测试实体标识]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SUBTEST2ID"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[SUBTEST2ID][子测试实体标识]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[SUBTEST2ID][子测试实体标识]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SUBTEST2ID"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[SUBTEST2ID][子测试实体标识]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "SubTest2Id",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.SUBTEST2ID"
    },
    "logicName" : "子测试实体标识",
    "name" : "SUBTEST2ID",
    "stdDataType" : 25,
    "stringLength" : 100,
    "keyField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[SUBTEST2NAME][子测试实体名称]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SUBTEST2NAME"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[SUBTEST2NAME][子测试实体名称]移动端默认",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[SUBTEST2NAME][子测试实体名称]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SUBTEST2NAME"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[SUBTEST2NAME][子测试实体名称]",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "SubTest2Name",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.SUBTEST2NAME"
    },
    "logicName" : "子测试实体名称",
    "name" : "SUBTEST2NAME",
    "stdDataType" : 25,
    "stringLength" : 200,
    "enableQuickSearch" : true,
    "majorField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[CREATEMAN][建立人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEMAN"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[CREATEMAN][建立人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEMAN"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "CreateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEMAN"
    },
    "logicName" : "建立人",
    "name" : "CREATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[CREATEDATE][建立时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[CREATEDATE][建立时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "CreateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEDATE"
    },
    "logicName" : "建立时间",
    "name" : "CREATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[UPDATEDATE][更新时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEDATE][更新时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "UpdateDate",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEDATE"
    },
    "logicName" : "更新时间",
    "name" : "UPDATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEMAN][更新人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[UPDATEMAN][更新人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "UpdateMan",
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEMAN"
    },
    "logicName" : "更新人",
    "name" : "UPDATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[TESTID][测试实体标识]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "HIDDEN",
        "name" : "[TESTID][测试实体标识]",
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/TEST.json"
        },
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[TESTID][测试实体标识]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "HIDDEN",
        "name" : "[TESTID][测试实体标识]移动端默认",
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/TEST.json"
        },
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "TESTId",
    "logicName" : "测试实体标识",
    "name" : "TESTID",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[PSUBTEST2ID][父子测试实体标识]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "HIDDEN",
        "name" : "[PSUBTEST2ID][父子测试实体标识]移动端默认",
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2.json"
        },
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[PSUBTEST2ID][父子测试实体标识]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "HIDDEN",
        "name" : "[PSUBTEST2ID][父子测试实体标识]",
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2.json"
        },
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "Psubtest2id",
    "logicName" : "父子测试实体标识",
    "name" : "PSUBTEST2ID",
    "stdDataType" : 25,
    "stringLength" : 100
  } ],
  "getAllPSAppDEMethodDTOs" : [ {
    "codeName" : "SubTest2DTO",
    "name" : "SubTest2DTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "Order",
      "logicName" : "排序值",
      "name" : "Order",
      "getPSAppDEField" : {
        "name" : "ORDER",
        "codeName" : "Order"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    }, {
      "codeName" : "CondType",
      "logicName" : "条件类型",
      "name" : "CondType",
      "getPSAppDEField" : {
        "name" : "CONDTYPE",
        "codeName" : "CondType"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "CreateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "建立时间",
      "name" : "CreateDate",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "CreateMan",
      "logicName" : "建立人",
      "name" : "CreateMan",
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "Psubtest2id",
      "logicName" : "父子测试实体标识",
      "name" : "Psubtest2id",
      "getPSAppDEField" : {
        "name" : "PSUBTEST2ID",
        "codeName" : "Psubtest2id"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "SubTest2Id",
      "logicName" : "子测试实体标识",
      "name" : "SubTest2Id",
      "getPSAppDEField" : {
        "name" : "SUBTEST2ID",
        "codeName" : "SubTest2Id"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "SubTest2Name",
      "logicName" : "子测试实体名称",
      "name" : "SubTest2Name",
      "getPSAppDEField" : {
        "name" : "SUBTEST2NAME",
        "codeName" : "SubTest2Name"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "TESTId",
      "logicName" : "测试实体标识",
      "name" : "TESTId",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "更新时间",
      "name" : "UpdateDate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "UpdateMan",
      "logicName" : "更新人",
      "name" : "UpdateMan",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    } ],
    "sourceType" : "DE",
    "type" : "DEFAULT"
  }, {
    "codeName" : "SubTest2FilterDTO",
    "name" : "SubTest2FilterDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "N_CONDTYPE_EQ",
      "logicName" : "条件类型",
      "name" : "N_CONDTYPE_EQ",
      "getPSAppDEField" : {
        "name" : "CONDTYPE",
        "codeName" : "CondType"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_PSUBTEST2ID_EQ",
      "logicName" : "父子测试实体标识",
      "name" : "N_PSUBTEST2ID_EQ",
      "getPSAppDEField" : {
        "name" : "PSUBTEST2ID",
        "codeName" : "Psubtest2id"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_SUBTEST2ID_EQ",
      "logicName" : "子测试实体标识",
      "name" : "N_SUBTEST2ID_EQ",
      "getPSAppDEField" : {
        "name" : "SUBTEST2ID",
        "codeName" : "SubTest2Id"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_SUBTEST2NAME_LIKE",
      "logicName" : "子测试实体名称",
      "name" : "N_SUBTEST2NAME_LIKE",
      "getPSAppDEField" : {
        "name" : "SUBTEST2NAME",
        "codeName" : "SubTest2Name"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_TESTID_EQ",
      "logicName" : "测试实体标识",
      "name" : "N_TESTID_EQ",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "sourceType" : "DE",
    "type" : "DEFILTER"
  } ],
  "getAllPSAppDEMethods" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "SUBTEST2ID",
        "codeName" : "SubTest2Id"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "requestField" : "SUBTEST2ID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "SUBTEST2ID",
        "codeName" : "SubTest2Id"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "requestField" : "SUBTEST2ID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "codeName" : "FetchDataSet2",
    "dataSetName" : "RootNode",
    "dataSetTag" : "DataSet2",
    "methodType" : "FETCH",
    "name" : "FetchDataSet2",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2FilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "DataSet2"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDataSet2"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdataset2",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchDefault",
    "dataSetName" : "DEFAULT",
    "dataSetTag" : "Default",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2FilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchNoMajorSet",
    "dataSetName" : "NoMajorSet",
    "dataSetTag" : "NoMajorSet",
    "methodType" : "FETCH",
    "name" : "FetchNoMajorSet",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2FilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "NoMajorSet"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchNoMajorSet"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchnomajorset",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchNoParent",
    "dataSetName" : "NoParent",
    "dataSetTag" : "NoParent",
    "methodType" : "FETCH",
    "name" : "FetchNoParent",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2FilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "SubTest2DTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "NoParent"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchNoParent"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchnoparent",
    "builtinMethod" : false
  }, {
    "codeName" : "FilterCreate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERCREATE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterFetch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERFETCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGet",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGET",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGetDraft",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGETDRAFT",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterRemove",
    "methodType" : "FILTERACTION",
    "name" : "FILTERREMOVE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterSearch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERSEARCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterUpdate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERUPDATE",
    "builtinMethod" : true
  }, {
    "codeName" : "Select",
    "methodType" : "SELECT",
    "name" : "Select",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "type" : "UNKNOWN"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "UNKNOWN"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Select"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/select",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEUIActions" : [ {
    "actionTarget" : "SINGLEKEY",
    "caption" : "普通编辑",
    "codeName" : "NormalEdit",
    "getFrontPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2EditView.json",
      "viewType" : "DEEDITVIEW"
    },
    "frontProcessType" : "WIZARD",
    "fullCodeName" : "SubTest2_NormalEdit",
    "name" : "普通编辑",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SubTest2.json"
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionTag" : "NormalEdit",
    "uIActionType" : "DEUIACTION",
    "id" : "NormalEdit@SubTest2"
  } ],
  "getAllPSAppViews" : [ {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2RedirectView.json",
    "viewType" : "DEREDIRECTVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2GridView.json",
    "viewType" : "DEGRIDVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2SingleCondEditView.json",
    "viewType" : "DEEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2EditView.json",
    "viewType" : "DEEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SubTest2CondGroupEditView.json",
    "viewType" : "DEEDITVIEW"
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "name" : "CREATE"
  }, {
    "logicName" : "删除",
    "name" : "DELETE"
  }, {
    "logicName" : "读取",
    "name" : "READ"
  }, {
    "logicName" : "更新",
    "name" : "UPDATE"
  } ],
  "codeName" : "SubTest2",
  "dEAPICodeName" : "subtest2",
  "dEAPICodeName2" : "subtest2s",
  "dEAPITag" : "SUBTEST2",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "getDataTypePSAppDEField" : {
    "name" : "CONDTYPE",
    "codeName" : "CondType"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SubTest2.json",
  "enableUIActions" : 15,
  "getFormTypePSAppDEField" : {
    "name" : "CONDTYPE",
    "codeName" : "CondType"
  },
  "getKeyPSAppDEField" : {
    "name" : "SUBTEST2ID",
    "codeName" : "SubTest2Id"
  },
  "getLNPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.SUBTEST2"
  },
  "logicName" : "子测试实体",
  "getMajorPSAppDEField" : {
    "name" : "SUBTEST2NAME",
    "codeName" : "SubTest2Name"
  },
  "name" : "SUBTEST2",
  "getPSDEName" : "SUBTEST2",
  "getPSDEServiceAPI" : {
    "modelref" : true,
    "id" : "SubTest2"
  },
  "getPSDataEntity" : {
    "modelref" : true,
    "path" : "PSMODULES/Test/PSDATAENTITIES/SubTest2.json"
  },
  "getPSSysServiceAPI" : {
    "modelref" : true,
    "path" : "PSSYSSERVICEAPIS/TrainSys.json"
  },
  "getQuickSearchPSAppDEFields" : [ {
    "name" : "SUBTEST2NAME",
    "codeName" : "SubTest2Name"
  } ],
  "storageMode" : 0,
  "sysAPITag" : "TrainSys",
  "defaultMode" : true,
  "enableFilterActions" : true,
  "enableUICreate" : true,
  "enableUIModify" : true,
  "enableUIRemove" : true,
  "enableWFActions" : false,
  "major" : true,
  "getAllPSAppDEUIActionGroups" : [ {
    "codeName" : "Usr1218345969",
    "name" : "界面行为组",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SubTest2.json"
    },
    "uniqueTag" : "SubTest2__Usr1218345969",
    "getPSUIActionGroupDetails" : [ {
      "caption" : "普通编辑",
      "detailType" : "DEUIACTION",
      "name" : "ucc43b7d",
      "addSeparator" : false,
      "showCaption" : true,
      "showIcon" : true,
      "getPSUIAction" : {
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SubTest2.json"
        },
        "modelref" : true,
        "id" : "NormalEdit@SubTest2"
      }
    } ]
  } ]
}